package com.sf.service.mapper;

import java.util.List;
import com.sf.service.domain.GoodsMessages;

/**
 * 商品信息Mapper接口
 * 
 * @author zoukun
 * @date 2024-04-18
 */
public interface GoodsMessagesMapper 
{
    /**
     * 查询商品信息
     * 
     * @param id 商品信息主键
     * @return 商品信息
     */
    public GoodsMessages selectGoodsMessagesById(Long id);

    /**
     * 查询商品信息列表
     * 
     * @param goodsMessages 商品信息
     * @return 商品信息集合
     */
    public List<GoodsMessages> selectGoodsMessagesList(GoodsMessages goodsMessages);

    /**
     * 新增商品信息
     * 
     * @param goodsMessages 商品信息
     * @return 结果
     */
    public int insertGoodsMessages(GoodsMessages goodsMessages);

    /**
     * 修改商品信息
     * 
     * @param goodsMessages 商品信息
     * @return 结果
     */
    public int updateGoodsMessages(GoodsMessages goodsMessages);

    /**
     * 删除商品信息
     * 
     * @param id 商品信息主键
     * @return 结果
     */
    public int deleteGoodsMessagesById(Long id);

    /**
     * 批量删除商品信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGoodsMessagesByIds(Long[] ids);

    GoodsMessages selectGoodsMessagesByCode(String goodsCode);
}
